({
// NLS_CHARSET=UTF-8

	//Begin ViewCacheGrid
	key: "Key",
	value: "Value",
	entryDetails: "Entry Details",
	partition: "Partition",
	queryGridContentsPageDescription : "Enter a regular expression to find keys in the map.  After searching for keys, use the invalidate button to permanently remove a key from the cache.  Choose to invalidate 'All keys matching query' to invalidate an entire query regardless of the number of matching keys.",
	invalidQuery : "The query string is invalid.",
	searchIconHover: "Search grid contents...",
	search : "Search",
	searchForKey : "Search by key",
	searchRegEx : "Search regular expression",
	regExHelp : "Regular expression help...",
	viewRegExHelp : "View Regular Expression Help",
	regExHelpCap : "Regular Expression Help",
	regExHelpDesc : "A regular expression is a structured string that is used to match other strings. Some common regular expressions are:",
	regExHelpFindAll : "Find all keys",
	regExHelpFindAllStarting : "Find all keys starting with ${_0_}",
	regExHelpFindAllEnding : "Find all keys ending with ${_0_}",
	regExHelpEscapeCurly : "(Use '\\' to escape '{' and other invalid characters.)",
	regExHelpFindAny : "Any one character",
	regExHelpFindZeroOrOne : "${_0_}, zero or one time",
	regExHelpFindZeroOrMany : "${_0_}, zero or many times",
	regExHelpFindOnceOrMany : "${_0_}, once or many times",
	regExHelpFindExample : "Any one character, followed by zero or one ${_0_}, followed by zero or many ${_1_}s, followed by one or many ${_2_}s",
	regExJavaDocMsg : "*See the java.util.regex.Pattern API documentation for the full regular expression syntax.",
	filter : "Filter...",
	apply : "Apply Filter",
	cancel : "Cancel",
	ok : "OK",
	queryTextBoxTitle : "Enter a regular expression to query the data grid",
	selectAllTitle : "Select all",
	deselectAllTitle : "Deselect all",
	partitionRange : "Partition range:",
	fromLabel : "From",
	toLabel : "To",
	fromPartitionError : "From partition range must be a number less than the to partition range.",
	toPartitionError : "To partition range must be a number greater than the from partition range.",
	filterMsg : "Filter:",
	partitionFilterMsg : "Partition ${_0_} to ${_1_}",
	selectedRowsOnlyMenuItem : "Selected keys",
	entireTableMenuItem : "Entire table",
	entireQueryMenuItem : "All keys matching query",
	invalidateButton : "Invalidate",
	invalidateSelectionDialog : "Permanently remove the selected key from the cache?",
	invalidateSelectionsDialog : "Permanently remove ${_NUMKEYS_} selected keys from the cache?",
	invalidateLargeWarning : "Invalidating a query that matches a large amount of keys at one time might negatively impact the data grid performance.",
	invalidateQueryDialogMsg : "Permanently remove all keys matching the regular expression '${_0_}' from the cache?",
	invalidateQueryDialogWithFilterMsg : "Permanently remove all keys matching the regular expression '${_0_}' and filter '${_1_}' from the cache?",
	queryLostDialog : "The query data has been lost. Either it has been more than 10 minutes since the query was run or another query has been run within the same session. Click OK to run the query again. After the query finishes, you can initiate the operation again.",
	queryLostError : "The query data has been lost. Either it has been more than 10 minutes since the query was run or another query has been run within the same session. Re-run the query and attempt the grid operation again.",
	maxResultLimitReachedWarningMsg : "The maximum result set size is ${_1_} matches (${_0_} matches found). The remaining matches are not displayed. Sorting is performed on the partial result set. Narrow the query expression to avoid this limitation.",
	maxResultLimitReachedWarningMsg2 : "${_0_} matches found. Only the first ${_1_} are returned.  Narrow the query expression to avoid this limitation.",
	totalMatchesWarningDesc : "${_0_} of ${_1_} total matches found",
	matches : "${_0_} matches",
	genericInvalidationError : "Failed to invalidate.",
	genericQueryError : "Failed to run the query.",
	genericError : "Failed to retrieve grid or map information.",
	genericRetrieveError : "Failed to retrieve the entry.",
	checkServerLogsMsg : "Check the monitoring server logs for more information.",
	contactAdministrator : "Contact the administrator.",
	clear : "Clear Map",
	clearDialogMessage : "Are you sure you want to clear the map?",
	showValues: "Show values",
	cacheContents: "Cache Contents",
	nextLabel: "Next",
	previousLabel: "Previous",
	searchMessage: "Search by key. Use * to find all keys.",
	of: "of",
	noResultsFound: "No keys found.",
	showAttributes: "Show attributes",
	attribute: "Attribute",
	searchTableSummary: "This table shows the matching results of the query.",
	fullKeyAndValueDialog: "Dialog to display the full key and value",
	pagination:"Pagination",

	gridIsNotInUseInfo: "The cache is not in use right now. Make sure that your application is connected to the service and it is started.  If it is, then try performing some get or put operations to the cache.  After the first operation, a map will be created for you.",	
	sessionGridIsNotInUseInfo: "The cache is not in use right now. Make sure that your application is connected to the service and it is started.  If it is, try using the application to create sessions."	
	
	//End ViewCacheGrid	
})